// Code generated by mockery v2.12.0. DO NOT EDIT.

package mocks

import (
	testing "testing"

	mock "github.com/stretchr/testify/mock"

	time "time"
)

// RecordKeeper is an autogenerated mock type for the RecordKeeper type
type RecordKeeper struct {
	mock.Mock
}

// RecordJourney provides a mock function with given fields: cartName, success, timeTaken
func (_m *RecordKeeper) RecordJourney(cartName string, success bool, timeTaken time.Duration) {
	_m.Called(cartName, success, timeTaken)
}

// NewRecordKeeper creates a new instance of RecordKeeper. It also registers the testing.TB interface on the mock and a cleanup function to assert the mocks expectations.
func NewRecordKeeper(t testing.TB) *RecordKeeper {
	mock := &RecordKeeper{}
	mock.Mock.Test(t)

	t.Cleanup(func() { mock.AssertExpectations(t) })

	return mock
}
